Subject: Bug#1298: [X2Go-Dev] Bug#1298: KeyError: '6ab639d6-5521-11e8-a326-54ee759b5b41' in registry.py

From: Mike Gabriel <[email-masked]>
Date: Mon, 08 Jan 2024 20:42:42 +0000

Control: close -1

On  Fr 11 Mai 2018 16:17:33 CEST, Mike Gabriel wrote:

> Package: src:python-x2go
> Version: 0.6~git
>
> I recently saw a crash in PyHoca-CLI:
>
> Traceback (most recent call last):
>   File  
> "/home/mike/MyDocuments/4projects/x2go-upstream/pyhoca-cli/x2go/registry.py", line 122, in  
> __call__
>     return self.registry[session_uuid]
> KeyError: '6ab639d6-5521-11e8-a326-54ee759b5b41'
>
> It came when I issued a "reboot" from within the X2Go session on the  
> remote host. More a reminder to myself to try/except around it.

I haven't seen this issue for a while, thus closing it...

Mike
-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de